﻿using BA.Core.Interfaces;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Optimization;

namespace $safeprojectname$.App_Start
{
    public class BundleConfig : IBundleConfig
    {
        public void RegisterBundles(BundleCollection bundles)
        {
            string assemblyName = GetType().Assembly.GetName().Name;

            // Script Bundle ermitteln und falls es noch nicht existiert erstellen
            Bundle bundle = bundles.FirstOrDefault(ff => ff.Path == "~/bundles/scripts");
            if (bundle == null)
            {
                bundle = new ScriptBundle("~/bundles/scripts");
                bundles.Add(bundle);
            }

            // Eigene JavaScript Dateien einbinden (Auf Groß- und Kleinschreibung achten)
            bundle.Include(
                $"~/scripts/$safeprojectname$/Actions.js?{assemblyName}"
            );
        }
    }
}