declare module BA.Ui.Grid {
    class GridEvents {
        private static _IsFilterControlShowing;
        private static _SaveLayoutProp;
        private static _LayoutName;
        private static _LayoutPublic;
        private static _LayoutDefault;
        private static _SelectionCallbackTimeHandle;
        private static _GridToUpdateVisibilityFor;
        private static _GridViewSelectionKey;
        private static _LastClickedNodeKey;
        private static _LastClickTicks;
        private static _SingleClickHandler;
        private static _ResetCommandsEndCallback;
        private static _ResetCommandsBeginCallback;
        private static _CurrentPage;
        private static _GroupingDoneRightBefore;
        static LoadLayout: boolean;
        static OnInit(s: BAClientGridView, e: ASPxClientEventArgs): void;
        static OnGridFormSuccess(s: any, e: any): boolean | void;
        static OnGridFormFailure(s: any, e: any): void;
        static OnBeginCallback(s: BAClientGridView, e: MVCxClientBeginCallbackEventArgs): void;
        static OnEndCallback(s: BAClientGridView, e: ASPxClientEndCallbackEventArgs): void;
        static OnResize(s: any, e: any): void;
        static OnSelectAllClicked(s: BAClientGridView, e: ASPxClientGridViewSelectionEventArgs): void;
        static OnSelectionChanged(s: BAClientGridView, e: ASPxClientGridViewSelectionEventArgs): void;
        static OnColumnMoving(s: ASPxClientGridView, e: ASPxClientGridViewColumnMovingEventArgs): void;
        static OnColumnResizing(s: ASPxClientGridView, e: ASPxClientGridViewColumnCancelEventArgs): void;
        static OnRowClick(s: BAClientGridView, e: ASPxClientGridViewRowClickEventArgs): void | boolean;
        static OpenInPopup(formModel: Models.FormDialogModel, grid: BAClientGridView): void;
        static DefaultSingleClick(s: BAClientGridView, e: ASPxClientGridViewRowClickEventArgs): void;
        static DefaultDoubleClick(s: BAClientGridView, e: ASPxClientGridViewRowClickEventArgs): void;
        static TranslationGridDoubleClick(s: BAClientGridView, e: ASPxClientGridViewRowClickEventArgs): void;
        static OnEditStart(grid: any, visibleIndex: any): void;
        /**
         * Save the Layout of a Grid
         * @param button the event button
         * @param evt the event arguments
         */
        static OnLayoutSave(button: BA.Ui.Dialog.BADialogButton, evt: ASPxClientButtonClickEventArgs): void;
        private static _SelectedTextHolder;
        static ContextMenuPopup(s: any, e: any): void;
        static ContextMenuItemClick(s: ASPxClientGridView, e: ASPxClientGridViewContextMenuItemClickEventArgs): void;
        private static TextToClipboard;
    }
}
